/Users/bernard/b20/bsoft/src/mg/mg_class.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/mg/mg_class.cpp - Classifies raw single particle images with respect to multiple models.

SYNOPSIS

#include 'Bimage.h'
#include 'rwimg.h'
#include 'mg_class.h'
#include 'mg_processing.h'
#include 'mg_ctf.h'
#include 'Matrix3.h'
#include 'linked_list.h'
#include 'utilities.h'

  Functions
long mg_classify (Bproject *project, double resolution_hi, double resolution_lo, int fom_type, double fom_cut, FSI_Kernel *kernel, int ctf_apply, int img_out)
Classifies particle images with respect to a series of reference maps.

  Variables
int verbose

Detailed Description

Classifies raw single particle images with respect to multiple models.

Author:
    Bernard Heymann

Date:
    Created: 20010222

    Modified: 20150424

Definition in file mg_class.cpp.

Function Documentation

  long mg_classify (Bproject * project, double resolution_hi, double resolution_lo, int fom_type, double fom_cut, FSI_Kernel * kernel, int ctf_apply, int img_out)

Classifies particle images with respect to a series of reference maps.

Parameters:
    *project project parameter structure.
    resolution_hi upper resolution limit.
    resolution_lo lower resolution limit.
    fom_type FOM type: 0=CC, 1=R, 2=PD.
    fom_cut input FOM threshold to classify a particle.
    *kernel frequency space interpolation kernel.
    ctf_apply apply CTF to projections.
    img_out image output options: 0=none, 1=projections, 2=differences, 3=both

Returns:
    long particles selected.

    For every particle image, a projection is made from every reference map
    according to the input orientation parameters and compared to the
    particle image. The FOM calculated is a real space correlation coefficient.

Definition at line 38 of file mg_class.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.